falVideo to videoComing soon

fal-ai/kling-video/o1/video-to-video/reference

fal-ai/kling-video/o1/video-to-video/reference is a video to video tool from fal that runs in the background and returns video. Coming soon: listed with its price, not yet open to runs.

This tool is listed but not yet available to run.

Priced by usage

Pricing

duration: 3 $0.6552, 4 $0.8736, 5 (default) $1.092, 6 $1.3104, 7 $1.5288, 8 $1.7472, 9 $1.9656, 10 $2.184, otherwise $2.184 per run. The final charge comes from usage.

Limits

Runs
In the background
Returns
video
Longest queue wait
3600s
Run deadline
1800s
Largest inline input
1024 KB
Largest input file
500 MB
Largest output
4768 MB
Outputs per run
16

Input

FieldKindDefaultDescription
prompt requiredtext—Use @Element1, @Element2 to reference elements and @Image1, @Image2 to reference images in order.
video_url requiredURL or file—Reference video URL. Only .mp4/.mov formats supported, 3-10 seconds duration, 720-2160px resolution, max 200MB. Max file size: 200.0MB, Min width: 720px, Min height: 720px, Max width: 2160px, Max height: 2160px, Min duration: 3.0s, Max duration: 10.05s, Min FPS: 24.0, Max FPS: 60.0, Timeout: 30.0s
keep_audiotrue or falsefalseWhether to keep the original audio from the video.
image_urlsURLs or files—Reference images for style/appearance. Reference in prompt as @Image1, @Image2, etc. Maximum 4 total (elements + reference images) when using video.
elementsJSON—Elements (characters/objects) to include. Reference in prompt as @Element1, @Element2, etc. Maximum 4 total (elements + reference images) when using video.
aspect_ratioone of
auto, 16:9, 9:16, 1:1
autoThe aspect ratio of the generated video frame. If 'auto', the aspect ratio will be determined automatically based on the input video, and the closest aspect ratio to the input video will be used.
durationone of
3, 4, 5, 6, 7, 8, 9, 10
5Video duration in seconds.

Same request in code

curl https://api.spiral.ai/v1/runs \
  -H "Authorization: Bearer $SPIRAL_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "provider": "fal",
    "model": "fal-ai/kling-video/o1/video-to-video/reference",
    "input": {
      "prompt": "Based on @Video1, generate the next shot. keep the style of the video",
      "video_url": "https://v3b.fal.media/files/b/panda/oVdiICFXY03Vbam-08Aj8_output.mp4"
    }
  }'